Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class LoginUser

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.actions.LoginUser

Deprecated. Use PipelineData version instead.

    @Deprecated
    public class LoginUser

extends Action

This is where we authenticate the user logging into the system against a user in the database. If the user exists in the database that users last login time will be updated.

Version:
  $Id: LoginUser.java 1066529 2011-02-02 17:01:46Z ludwig $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Quinton McCombs, Peter Courcoux

Field Summary
`static String` | `CGI_PASSWORD` Deprecated. CGI Parameter for the password
`static String` | `CGI_USERNAME` Deprecated. CGI Parameter for the user name

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`LoginUser()` Deprecated.

Method Summary
`void` | `doPerform(PipelineData pipelineData)` Deprecated. Updates the user's LastLogin timestamp, sets their state to "logged in" and calls RunData.setUser() .
`void` | `doPerform(RunData data)` Deprecated. Updates the user's LastLogin timestamp, sets their state to "logged in" and calls RunData.setUser() .

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix, perform, perform`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CGI_USERNAME

    public static final String CGI_USERNAME

  Deprecated.
  CGI Parameter for the user name

  See Also:
    Constant Field Values

### CGI_PASSWORD

    public static final String CGI_PASSWORD

  Deprecated.
  CGI Parameter for the password

  See Also:
    Constant Field Values

Constructor Detail

### LoginUser

    public LoginUser()

  Deprecated.

Method Detail

### doPerform

    public void doPerform(RunData data)
                   throws TurbineSecurityException

  Deprecated.
  Updates the user's LastLogin timestamp, sets their state to "logged in" and calls RunData.setUser() . If the user cannot be authenticated (database error?) the user is assigned anonymous status and, if tr.props contains a TEMPLATE_LOGIN, the screenTemplate is set to this, otherwise the screen is set to SCREEN_LOGIN

  Specified by:
    `doPerform` in class `Action`
  Parameters:
    `data` - Turbine information.
  Throws:
    `TurbineSecurityException` - could not get instance of the anonymous user

### doPerform

    public void doPerform(PipelineData pipelineData)
                   throws TurbineSecurityException

  Deprecated.
  Updates the user's LastLogin timestamp, sets their state to "logged in" and calls RunData.setUser() . If the user cannot be authenticated (database error?) the user is assigned anonymous status and, if tr.props contains a TEMPLATE_LOGIN, the screenTemplate is set to this, otherwise the screen is set to SCREEN_LOGIN

  Overrides:
    `doPerform` in class `Action`
  Parameters:
    `pipelineData` - Turbine information.
  Throws:
    `TurbineSecurityException` - could not get instance of the anonymous user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.